class_name TerrainParameters extends Resource
## Physical parameters for an individual terrain type.

## Linear damping applied while in contact with the terrain surface.
@export var linear_damp := 0.0
## Angular damping applied while in contact with the terrain surface.
@export var angular_damp := 0.0
## Linear damping applied the frame the ball makes contact with the surface.
## This is applied in addition `linear_damp`.
@export var impact_damp := 0.0
